Plugin-Kompatibilität zu CMSimple_XH 1.7

Ein CMSimple Support Forum für deutsch sprechende Nutzer und Entwickler
emarder
Posts: 20
Joined: Sun Aug 24, 2008 6:47 am

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by emarder » Mon Jan 01, 2018 10:09 am

Habe nach Umstieg von 1.6.x auf 1.7.2 die meisten PlugIns ans Laufen bekommen. Allerdings kann ich nicht beim PlugIn Calendar auf die Konfigurationsseite bekommen. Probeweise auf einer frischen Installation Calendar in Version 1.4.6 aufgespielt, Schreibrechte wie in readme.txt beschrieben gesetzt - weiterhin kein Zugriff. Was mache ich falsch? Bin für Hilfe dankbar. Die Schul-Webseiten, die ich technisch betreue, machen heftigen Gebrauch von dem PlugIn....

Ein gutes Jahr 2018 allen Beteiligten!

Erhard

lck
Posts: 1211
Joined: Wed Mar 23, 2011 11:43 am
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by lck » Mon Jan 01, 2018 11:02 am

Auf Github gibt es eine von Christoph angepasste Version 1.4.7. Siehe auch hier.
Auch die Standard-Version Calendar 1.2.10 ist auf Github downloadbar.

Ein gutes neues Jahr!
„Bevor du den Pfeil der Wahrheit abschießt, tauche die Spitze in Honig!“      XH-Templates for MultiPage & OnePage

lck
Posts: 1211
Joined: Wed Mar 23, 2011 11:43 am
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by lck » Mon Jan 01, 2018 11:08 am

Korrektur, es gibt sogar eine Version 1.4.8.
„Bevor du den Pfeil der Wahrheit abschießt, tauche die Spitze in Honig!“      XH-Templates for MultiPage & OnePage

cmb
Posts: 12595
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by cmb » Mon Jan 01, 2018 2:01 pm

lck wrote:Auch die Standard-Version Calendar 1.2.10 ist auf Github downloadbar.
Stimmt, allerdings ist diese nicht kompatibel zu CMSimple_XH 1.7. Ich hoffe, dass ich dazu komme mich dieser Version weiter zu widmen.

Auch von mir die besten Wünsche für 2018!
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

emarder
Posts: 20
Joined: Sun Aug 24, 2008 6:47 am

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by emarder » Mon Jan 01, 2018 2:32 pm

Danke für die Hilfe - mit 1.4.8 und Änderungen bei den Schreibberechtigungen der Ordner content, config und templates funktioniert es. In diesem Zusammenhang: Ist das Öffnen der Scheunentore für diese Ordner (777) nötig, oder reicht eine andere Einstellung. Ich weiß - eine blöde Frage....

Gruß

Erhard

cmb
Posts: 12595
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by cmb » Mon Jan 01, 2018 2:47 pm

emarder wrote:Danke für die Hilfe - mit 1.4.8 und Änderungen bei den Schreibberechtigungen der Ordner content, config und templates funktioniert es. In diesem Zusammenhang: Ist das Öffnen der Scheunentore für diese Ordner (777) nötig, oder reicht eine andere Einstellung. Ich weiß - eine blöde Frage....
Ich finde, das ist keine blöde Frage! Zum einen ist es so, dass Schreibberechtigungen für diese Ordner nur für den Benutzer, unter dessen Konto PHP ausgeführt wird, nötig sind. Wurden die Dateien also von diesem erstellt oder transferiert man die Eigentümerschaft an diesen, dann genügt 0755 vollauf. Und letztlich müssen eigentlich nicht die Ordner, sondern nur die Dateien beschreibbar sein; wenn diese also bereits angelegt wurden, dann genügt 0555 für die Ordner, und 0644 bzw. 0666 für die Dateien. Und falls bestimmte Dateien gar nicht im Administrationsbereich geändert werden sollen (z.B. config.php), dann genügt auch 0444.

Im Zweifel also ausprobieren; dabei kann der Debug-Modus u.U. hilfreich sein, falls das Plugin selbst keine hinreichenden Informationen liefert.

Konkret bei Calendar: content/ wird wohl Schreibrechte brauchen, da bei jedem Speichern auch ein Backup erzeugt wird, und dazu die eigentliche Eventdatei immer wieder neu erzeugt wird.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

albert
Posts: 453
Joined: Sun Mar 07, 2010 8:01 pm
Location: Germany
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by albert » Mon Jan 01, 2018 3:27 pm

Tata schrieb viewtopic.php?f=5&t=930&p=5733#p5733
I have (following Gert's hint) any index.php file to 444.
Das kann ich nachvollziehen und hab ich bei mir auch gemacht,
aber
cmb wrote:Und falls bestimmte Dateien gar nicht im Administrationsbereich geändert werden sollen (z.B. config.php), dann genügt auch 0444.
Ich hätte gedacht, dass grade die configs schreibbar sein müssten. Oder meinst du: auf 444 setzen, nachdem alles richtig konfiguriert wurde und so bleiben soll?

cmb
Posts: 12595
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by cmb » Mon Jan 01, 2018 3:54 pm

albert wrote:Ich hätte gedacht, dass grade die configs schreibbar sein müssten. Oder meinst du: auf 444 setzen, nachdem alles richtig konfiguriert wurde und so bleiben soll?
Ja, genau das meinte ich. Daher zeigt auch die Systemprüfung nur eine Warnung (und keinen Fehler) an, falls config.php nicht beschreibbar ist. Beispielsweise ist die Demo so konfiguriert, damit eben keine Änderungen per Adminbereich möglich sind.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Hartmut
Posts: 507
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Sun Jan 14, 2018 10:42 am

Hallo,

hier ist ein kurzer Testbericht vom Plugin Live Search Version: 1.1.0 der bei der Recherche von Informationen für die Plugin Dokumentation erstellt wurde.

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.2
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Livesearch 1.1.0
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Ja
Plugin Stylesheet / Konfiguration / Sprache änderbar und speicherbar? => Ja
Plugin Aufruf auf der Seite: Nicht getestet

Plugin Aufruf im Template: Bei Verwendung des Plugin Aufrufes "<?php livesearch(); php>" aus der Plugin Dokumentation im Template, erscheint beim Aufruf der Seite ein Whitescreen mit folgender Fehlermeldung:
[14-Jan-2018 10:32:47 Europe/Berlin] PHP Parse error: syntax error, unexpected '<' in C:\xampp\htdocs\templates\fhs-simple\template.htm on line 142
Mit dem Plugin Aufruf "<?php livesearch()?>" wird die Seite fehlerfrei angezeigt.

Xampp-Fehlermeldungen: Ja
Debug-Meldung: Nein

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: ?? (nicht getestet)
CMSimple_XH 1.7 Kompatibilität: Ja
PHP 7.0 Kompatibilität: Ja
PHP 7.1 Kompatibilität: Ja
Weitere Anmerkungen:
Den Pluginaufruf in der Doku von "<?php livesearch(); php>" in "<?php livesearch()?>" geändert, damit der Whitescreen mit Fehlermeldung nicht erscheint.
Weitere Funktionstests wurden nicht durchgeführt.

Berni
Posts: 46
Joined: Wed Feb 12, 2014 4:38 pm
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Berni » Sun Feb 11, 2018 8:02 pm

cmb wrote:
Sat Sep 02, 2017 8:18 pm
Hartmut wrote:Das sieht "unterm Strich" nach ein wenig Anpassungsbedarf für das Plugin Gxlink aus.
Viel ist schon erledigt, aber ein paar Dinge sind noch zu tun. Ich hoffe, dass ich das zeitnah umsetzen kann, wäre aber über Hilfe froh. :)
Wird es zum Plugin GXLink in absehbarer Zeit ein Update für cmsimple_xh 1.7 geben?
Es ist eines der wenigen, wichtigen Plugins die mir noch fehlen um meine Seite auf 1.7 zu heben.

Post Reply